/****************************************/
/*  DFILE class                         */
/****************************************/
/* Start      : 31/5/98                 */
/* Program ID :                         */
/* Version    : 1.00                    */
/* End        :                         */
/* Last Update: 31/5/98                 */
/* Comments   : Data file class         */
/*              Using templates         */
/****************************************/


#include "dfile.h"

template <class T> DFILE<T>::DFILE()
{
 p=NULL;
}

template <class T> DFILE<T>::~DFILE()
{
}

template <class T> void DFILE<T>::Open(char *name)
{
 FILEBASE::Open(name);
 Rewind();
}

template <class T> void DFILE<T>::Close()
{
 FILEBASE::Close();
}

template <class T> void DFILE<T>::Create(char *name)
{
 FILEBASE::Create();
 Rewind();
}

template <class T> T *DFILE<T>::Get_Next()
{
 int n;
 
 n=FILEBASE::Read(&d,sizeof(T));

 if (!n)
  p=NULL;
 else
  p=&d;
 
 return(p);
}

template <class T> void DFILE<T>::Move(long n)
{
 FILEBASE::Move(1L*n*sizeof(T));
}

template <class T> void DFILE<T>::Write(T *d)
{
 FILEBASE::Write(d,sizeof(T));
}

template <class T> void DFILE<T>::Write(T &d)
{
 Write(&d);
}

template <class T> T *DFILE<T>::Read()
{
 return(Get_Next());
}

template <class T> void DFILE<T>::Append(T *d)
{
 long l;

 l=GetPos();
 Seekend();
 Write(d);
 SetPos(l);
}

template <class T> void DFILE<T>::Append(T &d)
{
 Append(&d);
}
