/****************************************/
/*  TFILE class (header)                */
/****************************************/
/* Start      : 20/9/98                 */
/* Program ID :                         */
/* Version    : 1.00                    */
/* End        :                         */
/* Last Update: 20/9/98                 */
/* Comments   : Text file class         */
/*                                      */
/****************************************/

#ifndef _VLIB_V_FILE_TFILE_H
#define _VLIB_V_FILE_TFILE_H

#include "filebase.h"
#include "v/mem/longline.h"

class TFILE : public FILEBASE
{
 private:
 public:
 private:
  LONGLINE line;
  long linen;
 public:
  TFILE();
  ~TFILE();
  
  void Open(const char *name);
  void Close();
  void Create(const char *name);
  void Rewind();

  LONGLINE *Get_Next();

  void Write(const LONGLINE &p);
  void Append(const LONGLINE &p);
  LONGLINE *Read();
  
};


#endif
