/****************************************/
/*  collect_info for a cgi session      */
/****************************************/
/* Start      : 15/12/99                */
/* Program ID :                         */
/* Version    : 1.00                    */
/* End        :                         */
/* Last Update: 15/12/99                */
/* Comments   :                         */
/*                                      */
/****************************************/


#ifndef _VLIB_V_HTML_COLLECT_INFO_H
#define _VLIB_V_HTML_COLLECT_INFO_H

#include "v/lconfig.h"
#include "v/misc/keytable2.h"
#include "v/mem/longline.h"
#include "cgi.h"
#include "time.h"
#include "sys/socket.h"
#include "netinet/in.h"
#include "arpa/inet.h"

#define REMOTE_ADDR_VARIABLE	"REMOTE_ADDR"	// The variable name for the remote address

// TODO : Rewrite this

struct Info
{
	IPLONG			ip;		// Remote IP address. (NBO)
	KEYTABLE<LONGLINE>	cookies;	// all the available cookies
	KEYTABLE<LONGLINE>	vars; 		// all the variables
};

void collect_info(CGI *);

#ifndef _VLIB_V_HTML_COLLECT_INFO_CC
extern Info info;
#endif

/*
	collect_info should be called at the begging of the cgi, after cgiInit;

	Info::ip :	The IP address of the client, determined from
			the environment variable REMOTE_ADDR
	Info::cookies :	The cookies that came from the client. Cookie names are
			turned to uppercase.
	Info:vars :	The variables that came from the client (from a form).
			Variable names are turned to uppercase
*/

#endif

