/****************************************/
/*					*/
/****************************************/
/* Start      : 14/02/2002		*/
/* Program ID : 			*/
/* Version    : 1.00			*/
/* End        : 			*/
/* Last Update: 14/02/2002		*/
/* Comments   : 			*/
/*                                      */
/****************************************/

#ifndef _LCONFIG_H
#define _LCONFIG_H

#include "v/local_config.h"

#if (SIZEOF_UNSIGNED_LONG_LONG == 8)
	typedef	unsigned long long	u_64;
	typedef signed long long	s_64;
#	define B64	unsigned long long
#	define UB64	B32
#	define SB64	signed long long
#else
#	define B64	error
#	define UB64	B64
#	define SB64	error
#endif

#if (SIZEOF_UNSIGNED_LONG == 4)
        typedef unsigned long   u_32;
	typedef signed long	s_32;
#	define B32	unsigned long
#	define UB32	B32
#	define SB32	signed long
#elif (SIZEOF_UNSIGNED_INT == 4)
        typedef unsigned int    u_32;
	typedef signed int	s_32;
#	define B32	unsigned int
#	define UB32	B32
#	define SB32	signed int
#else
#	error	Canot find a 32bit type
#endif

#if (SIZEOF_UNSIGNED_SHORT == 2)
        typedef unsigned short  u_16;
	typedef signed short	s_16;
#	define B16	unsigned short
#	define UB16	B16
#	define SB16	signed short
#elif (SIZEOF_UNSIGNED_INT == 2)
        typedef unsigned int    u_16;
	typedef signed int	s_16;
#	define B16	unsigned int
#	define UB16	B16
#	define SB16	signed int
#else
#	error	Cannot find a 16bit type
#endif

#if (SIZEOF_UNSIGNED_CHAR == 1)
        typedef unsigned char   u_8;
	typedef signed char	s_8;
#	define B8	unsigned char
#	define UB8	B8
#	define SB8	signed char
#else
#	error	Cannot find an 8bit type
#endif

#define IPSHORT	B16
#define IPLONG	B32

typedef unsigned int	u_int;
typedef unsigned long	u_long;
typedef unsigned char	u_char;

/*#if defined(HAVE_STRCASECMP)
#	if (HAVE_STRCASECMP == 2)
int	v_strcasecmp(const char *s1, const char *s2);
#	endif
#endif*/

#endif

