/****************************************/
/*  Memory usage class (header)         */
/****************************************/
/* Start      : 23/6/97                 */
/* Program ID :                         */
/* Version    : 1.00                    */
/* End        :                         */
/* Last Update: 23/6/97                 */
/* Comments   :                         */
/*                                      */
/****************************************/
#ifndef _VLIB_V_MEM_MEMORY_H
#define _VLIB_V_MEM_MEMORY_H

#include "stdlib.h"
#include "string.h"
#ifdef __MSDOS__
#include "mem.h"
#endif

//#define FAR far
#define FAR

typedef char MEMORYType;
typedef MEMORYType FAR *pMEMORYType;

class MEMORY
{
 private:
  int Allocated;

 protected:

 public:
  long size;
  pMEMORYType buf;

 private:

 protected:
  pMEMORYType Malloc(long l);
//  pMEMORYType Memcpy(pMEMORYType dst, pMEMORYType src, size_t n);
  pMEMORYType Memcpy(void FAR *dst, void FAR *src, size_t n);

 public:
  MEMORY();
  MEMORY(long l);
  ~MEMORY();
  pMEMORYType Allocate(long l);
  void Free();

};

#endif
