/****************************************/
/*  Small Queue                         */
/****************************************/
/* Start      : 31/8/97                 */
/* Program ID :                         */
/* Version    : 1.00                    */
/* End        :                         */
/* Last Update: 31/8/97                 */
/* Comments   : Limited size stack      */
/*                                      */
/****************************************/

#include "smallq.h"
#include "dlist3.cc"

template <class T> SmallQ<T>::SmallQ()
{
 SmallQ(_SMALLQ_DEFAULT_QSIZE);
}

template <class T> SmallQ<T>::SmallQ(int QSIZE)
{
 QSize=QSIZE;
}

template <class T> SmallQ<T>::~SmallQ()
{
}

template <class T> void SmallQ<T>::Push(T FAR *data1)
{
 DL_List<T>::PushL(data1);
 if (Count>QSize) Pop();
}

template <class T> void SmallQ<T>::Push(T& FAR data1)
{
 Push(&data1);
}

template <class T> void SmallQ<T>::PushL(T FAR *data1)
{
 Push(data1);
}

template <class T> void SmallQ<T>::PushL(T& FAR data1)
{
 Push(&data1);
}

template <class T> T FAR *SmallQ<T>::Pop()
{
 return(DL_List<T>::Pop());
}

template <class T> T Far *SmallQ<T>::PopL()
{
 return(Pop());
}


