/****************************************/
/*					*/
/****************************************/
/* Start      : 11/05/2002		*/
/* Program ID : 			*/
/* Version    : 1.00			*/
/* End        : 			*/
/* Last Update: 11/05/2002		*/
/* Comments   : 			*/
/*                                      */
/****************************************/

#ifndef _VLIB_V_MEM_STRUCTQUEUE_H
#define _VLIB_V_MEM_STRUCTQUEUE_H

#include "v/mem/bytequeue.h"

/*
	NOTE:
	since sizeof(struct KOKO) is not the real size of the struct,
	it is the resonsibility of the program to control it.
	StructQueue will pop sizeof(T) bytes for each class. This means
	that sizeof(T) bytes must be Pushed for each struct (and not
	just each element of the struct)
*/

template <class T> class StructQueue : public ByteQueue
{
 private:
 public:
 private:
	void		ddd		(StructQueue &d);
 public:
			StructQueue	();
			~StructQueue	();
			StructQueue	(StructQueue &d);
	StructQueue	operator=	(StructQueue &d);

	int		Pop		(T *buf);	// Pop a struct in buf. Return 1 if popped, 0 if not
	int		Count		();		// Count number of structs.
};

#endif

