/****************************************/
/*  VTIME class                         */
/****************************************/
/* Start      : 13/10/98                */
/* Program ID :                         */
/* Version    : 1.00                    */
/* End        :                         */
/* Last Update: 13/10/98                */
/* Comments   :                         */
/*                                      */
/****************************************/

#include "vtime.h"

VTIME::VTIME()
{
}

VTIME::~VTIME()
{
}

void VTIME::setstr()
{
	time_t	t;

	t=time(NULL);
	strtime=ctime(&t);
	strtime.ChopCRLF();
}

time_t VTIME::MkTime(int hour, int second,int minute,
                     int month, int day, int year)
{
	struct tm	t;
	time_t		t2;

	t.tm_sec=second;
	t.tm_min=minute;
	t.tm_hour=hour;
	t.tm_mday=day;
	t.tm_mon=month;
	t.tm_year=year;

	t2=mktime(&t);

	return(t2);
}

const char *VTIME::str()
{
	setstr();
	return(strtime.p);
}

VTIME::operator const char *()
{
	return(str());
}

const char *VTIME::tdiff(time_t t)
{
	LONGLINE	ll;
	int		s,m,h,d,k;

	s=t%60; t/=60;
	m=t%60; t/=60;
	h=t%24; t/=24;
	d=t;
	ll="";
	k=0;

	if (d>0) { ll+=(long)d; ll+="d "; k=1; }
	if ((h>0) || (k==1)) { ll+=(long)h; ll+="h "; k=1; }
	if ((m>0) || (k==1)) { ll+=(long)m; ll+="m "; k=1; }
	if ((s>0) || (k==1)) { ll+=(long)s; ll+="s "; k=1; }

	strtime=ll;

	return(strtime.p);
}
