#!/bin/sh
#
# Remove some entries from config.h and create
# v/local_config.h

INF=config.h
OUTF=v/local_config.h

echo "Creating $OUTF"

cat $INF | \
	grep -v '/* Version number of package */' | \
	grep -v '#define VERSION' | \
	grep -v '/* Name of package */' | \
	grep -v '#define PACKAGE' \
	> $OUTF

