/****************************************/
/*  Pidfile handling functions		*/
/****************************************/
/* Start      : 04/05/2002		*/
/* Program ID : 			*/
/* Version    : 1.00			*/
/* End        : 			*/
/* Last Update: 04/05/2002		*/
/* Comments   : 			*/
/*                                      */
/****************************************/

#ifndef _VLIB_V_MISC_PIDFILE_H
#define _VLIB_V_MISC_PIDFILE_H

/*
	Try to create and lock a pidfile. If so, return 0
	if it existed and it it was locked, return the pid number
	
	There exists a race condition in this function when two processes are
	started in parallel
*/
int     pidfile_dolock(const char *pidfile);
void    pidfile_dounlock();
int	pidfile_islocked(const char *pidfile);

#endif

