/****************************************/
/*  VTIME class (header)                */
/****************************************/
/* Start      : 13/10/98                */
/* Program ID :                         */
/* Version    : 1.01                    */
/* End        :                         */
/* Last Update: 10/02/2002              */
/* Comments   :                         */
/*                                      */
/****************************************/

#ifndef _VLIB_V_VTIME_H
#define _VLIB_V_VTIME_H

#include "v/mem/longline.h"

#include "time.h"

class VTIME
{
 private:
 	LONGLINE	strtime;
 public:
 private:
	void		setstr	();
 public:
			VTIME		();
			~VTIME		();
	time_t		MkTime		(int hour, int second,int minute,
					int month, int day, int year);
	operator const char *		();	// Return the current time as a string (ctime(), whithout the trailing \n)
	const char	*str		();	// same as above

	const char 	*tdiff		(time_t t);	// Return a string "1d 2h 3m 4s" for time difference t
};

#endif

